export HOMEBREW_NO_ANALYTICS=1

# set PATH so it includes user's private bin if it exists
if [ -d "$HOME/.local/bin" ]; then
  PATH="$HOME/.local/bin:$PATH"
fi

if [ -d "{{ homebrew_bin_dir }}" ]; then
  PATH="{{ homebrew_bin_dir }}:$PATH"
  eval "$({{ homebrew_bin_dir }}/brew shellenv)"
fi

alias man="PAGER=most man"

# user
# https://unix.stackexchange.com/questions/652097/how-to-switch-systemd-user-shell-on-remote-server-without-logging-in-again-via-s
alias switch_to_user="sudo machinectl shell --uid"
alias app_user="switch_to_user app"
alias user_app="app_user"
alias app="app_user"

# Podman shortcuts
{% raw %}
alias podman_ps='podman ps -a --format "table {{.ID}}\t{{.Image}}\t{{.Status}}\t{{.Names}}"'
alias podman-ps='podman_ps'
alias podmanps='podman_ps'
alias podman_command='podman inspect -f "{{.Args}}"'
alias image_by_container_id='podman inspect -f "{{.ImageName}}"'
alias name_by_container_id='podman inspect -f "{{.Name}}"'
alias podman_image='image_by_container_id'
alias container_image='image_by_container_id'
alias image_name='image_by_container_id'
alias podman_name='name_by_container_id'
alias container_name='name_by_container_id'
function podman_rm() {
  podman stop "$@";
  podman rm -f "$@";
}
function podman_uid_gid() {
  image="$1"
  user=$(echo "$(podman image inspect --format \{\{.User\}\} "${image}")" | sed "s/:.*//" )

  [[ -z "$user" ]] && { echo "User for container seem to be empty $(user)" ; return 1; }
  tmpdir=$(mktemp -d)
  container_id=$(podman create "${image}")
  podman cp "${container_id}:/etc/passwd" "${tmpdir}"
  echo "Username is '${user}'. UID and GID will be grepped from ${tmpdir}/passwd"
  command grep -I --color "${user}" "${tmpdir}/passwd"
  podman rm "${container_id}" > /dev/null
}
{% endraw %}
{# alias rekcod="podman run docker.io/nexdrew/rekcod" #}

# file navigation
alias ..="cd .."
alias ...='cd ../..'
alias ....='cd ../../..'
alias .....='cd ../../../..'
alias 2..="cd ../.."
alias 3..="cd ../../.."
alias 4..="cd ../../../.."
alias 5..="cd ../../../../.."
alias 'cd-'="cd -"

# misspellings
alias dri=dir
alias dior=dir
alias du="du -kh"
alias shs="ssh"
alias mkdit="mkdir"
alias vmi="vim"
alias pstree="pstree -Uul"
alias df="df -kTh"
alias sudi=sudo
alias sido=sudo
alias aptitide=aptitude
alias less="less -R"
alias grep='GREP_COLOR="1;37;41" LANG=C grep --color=auto -n'
alias bat=batcat

# ls
alias lha="eza -la --all --header --icons -F --group-directories-first"
alias la="lha"
# alias l="eza -l --icons"
alias l='eza -F'
alias s='lha'
alias sl='lha'
alias ks='lha'
alias ös='lha'
alias lös='lha'
alias lh='lha'
alias ll='lha'
alias "tre"="lha --tree"
alias "t"="tre"

# Firewall

alias firewall_rules="sudo ufw status verbose"
# log can be different: https://askubuntu.com/questions/1116145/understanding-ufw-log
alias firewall_log="tail -f /var/log/syslog | rg -i 'ufw'"

# Git
alias gti="git"
alias gut="git"
alias gtu="git"
alias igt="git"
alias egit="git"
alias gir="git"
alias gt="git"
alias gi="git"
alias ggit="git"
alias got="git"
alias giot="git"
alias goit="git"
alias giit="git"
alias gtit="git"
alias ögti="git"
alias gitz="git"
alias guit="git"
alias gitr="git"
alias tgit="git"
alias tgti="git"
alias gtis="git"
alias gtt="git"
alias it="git"
alias tgi="git"
alias gitbr="git branch"
alias dit="git"
alias giti="git"
alias 'ǵit'="git"
alias ',git'="git"
alias 'g9t'="git"
alias 'giut'="git"
alias 'ghit'="git"
alias 'gits'="git"
alias 'hiy'="git"
alias undo_git_commit="git reset HEAD^1"
alias commit="git commit"
alias st="git status"
alias gitst="git status"
alias ögit="git"
alias gigit="git"
alias gitco="git co"
alias fir=git
alias ig=git
alias fgit=git
alias gu="git"
alias gto="git"
alias such=git
alias very=git
alias wow='git status'
alias gtui=git

if [[ -s "${ZDOTDIR:-$HOME}/.app_bash_aliases" ]]; then
  # shellcheck source={{ app_user_home_dir }}/.app_bash_aliases
  source "${ZDOTDIR:-$HOME}/.app_bash_aliases"
fi
